<?php		

	include_once ('../conexion/conexion.php');
	$tabla = array();
	$anio = date("Y");
	$rut =  str_replace("-", "", str_replace(".", "", "14.237.617-2"));
	echo $rut."<br />";
	$tipo = 'vacaciones';
	
	$DiasOcupados = 0; 
	$DiasPendientes = 0;			
	
	$sentencia = $bd->prepare("exec spListaResumenFeriados ?, ?, 'E', ? ");
	$sentencia->execute([$anio, $rut, $tipo]);
	$permiso = $sentencia->fetch(PDO::FETCH_OBJ);
	$DiasOcupados = $permiso->DiasOcupados; 
	$DiasPendientes = $permiso->DiasPendientes; 	
	
	if(!$permiso){
		$sentencia = $bd->prepare("exec spListaResumenFeriados ?, ?, 'S', ? ");
		$sentencia->execute([$anio, $rut, $tipo]);
		$permiso = $sentencia->fetch(PDO::FETCH_OBJ);
		$DiasOcupados = $permiso->DiasOcupados; 
		$DiasPendientes = $permiso->DiasPendientes; 			
	}

	if($DiasOcupados == null) { $DiasOcupados = 0; }
	if($DiasPendientes == null) { $DiasPendientes = 0; }
	
	array_push($tabla, array(
		"rut" => $rut,
		"tipo" => "Feriado Legal", 
		"ocupado" => $DiasOcupados, 
		"pendiente" => $DiasPendientes,		
	)); 

	echo json_encode($tabla); 	
	
?>